import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';

const jsonUrl =
  'https://gist.githubusercontent.com/heidi8297/21183ada72cc34488bdfb70403c739c8/raw/37031e7bd36d5e317a23493a71d81cacf9ea9b6a/PortlandNeighborhoods.json';

export const useData = () => {
  const [data, setData] = useState(null);
	
  console.log(data);
  
	useEffect(() => {
  	json(jsonUrl).then(topojsonData => {
      const { neighborhoods } = topojsonData.objects;
    	setData(feature(topojsonData,neighborhoods));
    });
	}, []);
  
  return data;
};